Skip to main content
GET
Get user insights

Authorizations

Authorization
string
header
required

OAuth 2.0 client credentials flow. Contact timeback@trilogy.com to request credentials for your application.

Path Parameters

userId
string<uuid>
required

User ID to retrieve insights for

Query Parameters

applicationId
string<uuid>

Optional application ID to scope insights to a specific application

after
string<date-time>

Filter insights after this timestamp (ISO 8601 format, inclusive)

before
string<date-time>

Filter insights before this timestamp (ISO 8601 format, inclusive)

limit
integer
default:20

Maximum number of items to return

Required range: 1 <= x <= 100
offset
integer
default:0

Number of items to skip

Required range: x >= 0
type
string

Comma-separated list of insight type slugs to filter by. Takes precedence over insightGroups, category, and default.

Example:

"PhysicalVerbalSocializing,OnlineAppFocusSwitch"

insightGroups
string

Comma-separated list of stable Insight Group slugs to filter by. Display names are served by GET /insights/1.0/insight-groups. Takes precedence over category and default, but is overridden by type (or insightTypes on session endpoints). On endpoints that return insights, selects matching insights. On endpoints that return sessions, a session is returned only if it carries at least one caller-visible insight of a member type, and the session's metrics scope to the filter.

Example:

"StayFocused,DistractionFreeSpace"

category
string

Comma-separated list of categories to filter by. Takes precedence over the default but is overridden by type and insightGroups.

Example:

"AcademicIntegrity,Observability,OnlineEnvironment,PhysicalEnvironment"

Response

Successful response with insights and session summary

Unified paginated insights response with session summary

session
object
required

Session summary information

insights
object[]
required

Array of insight objects

offset
integer
required

Number of items skipped in the result set

limit
integer
required

Maximum number of items returned

total
integer
required

Total number of items available